//
//  BMICalcViewController.h
//  BMICalc
//

#import <UIKit/UIKit.h>

@interface BMICalcViewController : UIViewController<UITextFieldDelegate> {
    
	IBOutlet UITextField *heightText; // 身長テキストフィールド
    IBOutlet UITextField *weightText; // 体重テキストフィールド
    IBOutlet UIButton *calcButton;    // 計算ボタン
    IBOutlet UIButton *resetButton;   // リセットボタン
    IBOutlet UILabel *resultLabel;    // 結果ラベル
}

@property (nonatomic, retain) UITextField *heightText;
@property (nonatomic, retain) UITextField *weightText;
@property (nonatomic, retain) UIButton *calcButton;
@property (nonatomic, retain) UIButton *resetButton;
@property (nonatomic, retain) UILabel *resultLabel;

// 計算ボタンを押したときに呼ばれるメソッド
-(IBAction)executeCalc:(id)sender;

// リセットボタンを押したときに呼ばれるメソッド
-(IBAction)executeReset:(id)sender;

@end